Summary: This package defines the base contents of Fedora live CD's.
Name: fedora-livecd
Version: 6
Release: 1%{?dist}
License: GPL
Group: System Environment/Base
URL: http://fedoraproject.org/wiki/FedoraLiveCD
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: 10-fedora-livecd-base.conf
Source1: 20-fedora-livecd-gnome.conf
Source2: 30-fedora-livecd-desktop.conf
# Wallpaper from Diana Fong, see http://www.isity.net/blog/?p=51
Source3: fedora-livecd-wallpaper.jpg

%description
This package defines the contents of Fedora live CD's.

%package gnome
Summary: This package defines the contents of the base Fedora Desktop live CD.
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}

%description gnome 
This package defines the contents of the base Fedora Desktop Live
CD. Can be used as a starting point for desktop oriented live CD's
using GNOME.


%package desktop
Summary: This package defines the content of the Fedora Desktop live CD.
Group: System Environment/Base
Requires: %{name}-gnome = %{version}-%{release}

%description desktop
This package defines the contents of the Fedora Desktop live CD.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/livecd/
mkdir -p $RPM_BUILD_ROOT/usr/share/backgrounds/images
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT/etc/livecd/
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/livecd/
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/livecd/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/backgrounds/images/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /etc/livecd
/etc/livecd/10-fedora-livecd-base.conf

%files gnome
%defattr(-,root,root,-)
/etc/livecd/20-fedora-livecd-gnome.conf
/usr/share/backgrounds/images/fedora-livecd-wallpaper.jpg

%files desktop
%defattr(-,root,root,-)
/etc/livecd/30-fedora-livecd-desktop.conf

%changelog
* Wed Dec 20 2006 David Zeuthen <davidz@redhat.com> - 6-1%{?dist}
- Initial build
